HEADER
; IDL Visual Widget Builder Resource file. Version 1
; Generated on:	11/13/2019 11:54.05
VERSION 1
END

MSP_SAT_TLB BASE 5 5 1128 577
REALIZE "MSP_SAT_Realize"
ONPOSTCREATE "MSP_SAT_PostCreation"
TLB
CAPTION "Mimir Software Package - Spectrum Annotator/Analyzer Tool (MSP_SAT) V1.0  20150405"
XPAD = 3
YPAD = 3
SPACE = 3
BEGIN
  Plot_Area DRAW 0 16 650 500
  ONBUTTON "Draw_Button"
  ONMOTION "Draw_Motion"
  END
  Outer_Tab_Base TAB 659 6 432 468
  MULTILINE = 1
  ONTABCHANGE "Outer_Tab_Change"
  BEGIN
    Get_Spectrum_Tab BASE 0 0 424 424
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Get Spectrum"
    BEGIN
      WID_LABEL_0 LABEL 20 54 0 0
      VALUE "1. Select/Fetch one SpeX-Type FITS Spectrum file"
      ALIGNLEFT
      END
      Get_Spectrum_Button PUSHBUTTON 38 73 0 0
      VALUE "Get Spectrum"
      ALIGNCENTER
      ONACTIVATE "Get_Spectrum"
      END
      WID_LABEL_1 LABEL 20 105 0 0
      VALUE "2. Adjust Baseline Offset"
      ALIGNLEFT
      END
      Baseline_Droplist DROPLIST 92 125 0 0
      GRAYED
      NUMITEMS = 3
      ITEM "Zero"
      ITEM "Unity"
      ITEM "Other"
      ONSELECT "Baseline_Select"
      END
      Other_Baseline_Value TEXT 217 125 0 0
      GRAYED
      ALLEVENTS
      ONINSERTCHAR "Other_Baseline_Textbox"
      WIDTH = 20
      HEIGHT = 1
      END
      Other_Baseline_Label LABEL 233 104 0 0
      VALUE "Enter Baseline Value"
      ALIGNLEFT
      GRAYED
      END
      WID_LABEL_3 LABEL 15 156 0 0
      VALUE "3. Zoom/UnZoom in X and/or Y"
      ALIGNLEFT
      END
      Zoom_X_Button PUSHBUTTON 35 180 0 0
      VALUE "Zoom in X"
      ALIGNCENTER
      ONACTIVATE "Zoom_X"
      END
      Zoom_Y_Button PUSHBUTTON 131 179 0 0
      VALUE "Zoom in Y"
      ALIGNCENTER
      ONACTIVATE "Zoom_Y"
      END
      Unzoom_X_Button PUSHBUTTON 35 211 0 0
      VALUE "UnZoom in X"
      ALIGNCENTER
      ONACTIVATE "Unzoom_X"
      END
      Unzoom_Y_Button PUSHBUTTON 130 210 0 0
      VALUE "UnZoom in Y"
      ALIGNCENTER
      ONACTIVATE "Unzoom_Y"
      END
      WID_LABEL_4 LABEL 224 187 0 0
      VALUE "Mouse Click Left, then Right"
      ALIGNLEFT
      END
      WID_LABEL_5 LABEL 251 209 0 0
      VALUE "or Bottom, then Top"
      ALIGNLEFT
      END
      WID_LABEL_6 LABEL 16 252 0 0
      VALUE "4. Colorize Spectrum"
      ALIGNLEFT
      END
      Spectrum_Color_Droplist DROPLIST 42 273 0 0
      NUMITEMS = 8
      ITEM "White"
      ITEM "Red"
      ITEM "Blue"
      ITEM "Green"
      ITEM "Magenta"
      ITEM "Cyan"
      ITEM "Black"
      ITEM "Rainbow"
      ONSELECT "Colorize_Spectrum"
      END
      Other_Background_Label LABEL 220 251 0 0
      VALUE "And Background, if not Black"
      ALIGNLEFT
      END
      Background_Color_Droplist DROPLIST 248 271 0 0
      ONSELECT "Colorize_Background"
      END
      WID_LABEL_8 LABEL 118 274 0 0
      VALUE "Spectrum Color"
      ALIGNLEFT
      END
      WID_LABEL_2 LABEL 13 306 0 0
      VALUE "5. (Optional) Show Baseline"
      ALIGNLEFT
      END
      WID_BASE_10 BASE 180 301 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Show_Baseline_Button PUSHBUTTON -1 -1 0 0
        VALUE "Show Baseline"
        ALIGNLEFT
        ONACTIVATE "Toggle_Show_Baseline"
        END
      END
      WID_LABEL_9 LABEL 16 340 0 0
      VALUE "6. Spectrum Type?"
      ALIGNLEFT
      END
      Spectrum_Type_Droplist DROPLIST 118 338 0 0
      GRAYED
      NUMITEMS = 4
      ITEM "Absorption"
      ITEM "Emission"
      ITEM "Continuum"
      ITEM "Mixed/Other"
      ONSELECT "Select_Spectrum_Type"
      END
      WID_LABEL_10 LABEL 213 341 0 0
      VALUE "Identify Type of Spectrum"
      ALIGNLEFT
      GRAYED
      END
      WID_LABEL_34 LABEL 18 378 0 0
      VALUE "7. Redshift - adjust for or find"
      ALIGNLEFT
      END
      Redshift_Textbox TEXT 211 376 0 0
      NUMITEMS = 1
      ITEM "0.0"
      EDITABLE
      ALLEVENTS
      ONINSERTCHAR "Change_Redshift"
      ONINSERTSTRING "Change_Redshift"
      WIDTH = 12
      HEIGHT = 1
      END
      WID_LABEL_35 LABEL 298 381 0 0
      VALUE "Redshift"
      ALIGNLEFT
      END
      Find_Redshift_Button PUSHBUTTON 85 404 0 0
      VALUE "Find Redshift"
      ALIGNCENTER
      GRAYED
      ONACTIVATE "Find_Redshift"
      END
      WID_LABEL_43 LABEL 192 408 0 0
      VALUE "(type in a value to set redshift)"
      ALIGNLEFT
      END
      WID_BASE_0 BASE 162 73 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Cursor_Button PUSHBUTTON -1 -1 0 0
        VALUE "Cursor"
        ALIGNLEFT
        ONACTIVATE "Toggle_Cursor"
        END
      END
      Wavelength_Textbox TEXT 235 75 0 0
      WIDTH = 12
      HEIGHT = 1
      END
      WID_LABEL_44 LABEL 323 77 0 0
      VALUE "Wavelength"
      ALIGNLEFT
      END
    END
    H_He_Recomb_Tab BASE 0 0 424 424
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "H, He Recomb. Lines"
    BEGIN
      WID_BASE_11 BASE 14 59 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Atomic_Hydrogen_Button PUSHBUTTON -1 -1 0 0
        VALUE "Show Hydrogen Recombination Lines"
        ALIGNLEFT
        ONACTIVATE "Toggle_Atomic_Hydrogen"
        END
      END
      Atomic_Hydrogen_Color_Droplist DROPLIST 43 95 0 0
      NUMITEMS = 5
      ITEM "Red"
      ITEM "Green"
      ITEM "Blue"
      ITEM "White"
      ITEM "Black"
      ONSELECT "Set_Atomic_Hydrogen_Color"
      END
      WID_BASE_12 BASE 214 91 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Atomic_Hydrogen_Label_Button PUSHBUTTON -1 -1 0 0
        VALUE "Show Line Designations"
        ALIGNLEFT
        ONACTIVATE "Toggle_Atomic_Hydrogen_Labels"
        END
      END
      WID_LABEL_7 LABEL 118 97 0 0
      VALUE "Color for Lines"
      ALIGNLEFT
      END
      WID_LABEL_11 LABEL 119 192 0 0
      VALUE "Color for Lines"
      ALIGNLEFT
      END
      WID_BASE_13 BASE 215 186 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Atomic_Helium_Label_Button PUSHBUTTON -1 -1 0 0
        VALUE "Show Line Designations"
        ALIGNLEFT
        ONACTIVATE "Toggle_Atomic_Helium_Labels"
        END
      END
      Atomic_Helium_Color_Droplist DROPLIST 44 190 0 0
      NUMITEMS = 5
      ITEM "Red"
      ITEM "Green"
      ITEM "Blue"
      ITEM "White"
      ITEM "Black"
      ONSELECT "Set_Atomic_Helium_Color"
      END
      WID_BASE_14 BASE 15 154 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Atomic_Helium_Button PUSHBUTTON -1 -1 0 0
        VALUE "Show Helium I Recombination Lines"
        ALIGNLEFT
        ONACTIVATE "Toggle_Atomic_Helium"
        END
      END
      WID_BASE_42 BASE 14 244 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Ionic_Helium_Button PUSHBUTTON -1 -1 0 0
        VALUE "Show Helium II Recombination Lines"
        ALIGNLEFT
        ONACTIVATE "Toggle_Ionic_Helium"
        END
      END
      Ionic_Helium_Color_Droplist DROPLIST 43 280 0 0
      NUMITEMS = 5
      ITEM "Red"
      ITEM "Green"
      ITEM "Blue"
      ITEM "White"
      ITEM "Black"
      ONSELECT "Set_Ionic_Helium_Color"
      END
      WID_BASE_44 BASE 214 276 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Ionic_Helium_Label_Button PUSHBUTTON -1 -1 0 0
        VALUE "Show Line Designations"
        ALIGNLEFT
        ONACTIVATE "Toggle_Ionic_Helium_Labels"
        END
      END
      WID_LABEL_42 LABEL 118 282 0 0
      VALUE "Color for Lines"
      ALIGNLEFT
      END
    END
    Cool_Atomic_Lines_Tab BASE 0 0 424 424
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Cool Atomic Lines"
    BEGIN
      WID_BASE_2 BASE 15 46 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Atomic_Silicon_Button PUSHBUTTON -1 -1 0 0
        VALUE "Silicon (Si I)"
        ALIGNLEFT
        ONACTIVATE "Toggle_Atomic_Silicon"
        END
      END
      Atomic_Silicon_Color_Droplist DROPLIST 161 49 0 0
      NUMITEMS = 8
      ITEM "White"
      ITEM "Red"
      ITEM "Green"
      ITEM "Blue"
      ITEM "Magenta"
      ITEM "Cyan"
      ITEM "Yellow"
      ITEM "Black"
      ONSELECT "Set_Atomic_Silicon_Color"
      END
      WID_BASE_15 BASE 293 47 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Atomic_Silicon_Label_Button PUSHBUTTON -1 -1 0 0
        VALUE "Show Names"
        ALIGNLEFT
        ONACTIVATE "Toggle_Atomic_Silicon_Labels"
        END
      END
      WID_LABEL_12 LABEL 240 52 0 0
      VALUE "Color"
      ALIGNLEFT
      END
      WID_LABEL_13 LABEL 240 88 0 0
      VALUE "Color"
      ALIGNLEFT
      END
      WID_BASE_16 BASE 293 83 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Atomic_Iron_Label_Button PUSHBUTTON -1 -1 0 0
        VALUE "Show Names"
        ALIGNLEFT
        ONACTIVATE "Toggle_Atomic_Iron_Labels"
        END
      END
      Atomic_Iron_Color_Droplist DROPLIST 161 85 0 0
      NUMITEMS = 8
      ITEM "White"
      ITEM "Red"
      ITEM "Green"
      ITEM "Blue"
      ITEM "Magenta"
      ITEM "Cyan"
      ITEM "Yellow"
      ITEM "Black"
      ONSELECT "Set_Atomic_Iron_Color"
      END
      WID_BASE_17 BASE 15 82 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Atomic_Iron_Button PUSHBUTTON -1 -1 0 0
        VALUE "Iron (Fe I)"
        ALIGNLEFT
        ONACTIVATE "Toggle_Atomic_Iron"
        END
      END
      WID_LABEL_14 LABEL 237 128 0 0
      VALUE "Color"
      ALIGNLEFT
      END
      WID_BASE_18 BASE 290 123 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Atomic_Sodium_Label_Button PUSHBUTTON -1 -1 0 0
        VALUE "Show Names"
        ALIGNLEFT
        ONACTIVATE "Toggle_Atomic_Sodium_Labels"
        END
      END
      Atomic_Sodium_Color_Droplist DROPLIST 159 125 0 0
      NUMITEMS = 8
      ITEM "White"
      ITEM "Red"
      ITEM "Green"
      ITEM "Blue"
      ITEM "Magenta"
      ITEM "Cyan"
      ITEM "Yellow"
      ITEM "Black"
      ONSELECT "Set_Atomic_Sodium_Color"
      END
      WID_BASE_19 BASE 12 122 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Atomic_Sodium_Button PUSHBUTTON -1 -1 0 0
        VALUE "Sodium (Na I)"
        ALIGNLEFT
        ONACTIVATE "Toggle_Atomic_Sodium"
        END
      END
      WID_LABEL_15 LABEL 239 166 0 0
      VALUE "Color"
      ALIGNLEFT
      END
      WID_BASE_20 BASE 292 161 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Atomic_Calcium_Label_Button PUSHBUTTON -1 -1 0 0
        VALUE "Show Names"
        ALIGNLEFT
        ONACTIVATE "Toggle_Atomic_Calcium_Labels"
        END
      END
      Atomic_Calcium_Color_Droplist DROPLIST 160 163 0 0
      NUMITEMS = 8
      ITEM "White"
      ITEM "Red"
      ITEM "Green"
      ITEM "Blue"
      ITEM "Magenta"
      ITEM "Cyan"
      ITEM "Yellow"
      ITEM "Black"
      ONSELECT "Set_Atomic_Calcium_Color"
      END
      WID_BASE_21 BASE 14 160 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Atomic_Calcium_Button PUSHBUTTON -1 -1 0 0
        VALUE "Calcium (Ca I)"
        ALIGNLEFT
        ONACTIVATE "Toggle_Atomic_Calcium"
        END
      END
      WID_LABEL_16 LABEL 240 206 0 0
      VALUE "Color"
      ALIGNLEFT
      END
      WID_BASE_22 BASE 293 201 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Atomic_Magnesium_Label_Button PUSHBUTTON -1 -1 0 0
        VALUE "Show Names"
        ALIGNLEFT
        ONACTIVATE "Toggle_Atomic_Magnesium_Labels"
        END
      END
      Atomic_Magnesium_Color_Droplist DROPLIST 161 203 0 0
      NUMITEMS = 8
      ITEM "White"
      ITEM "Red"
      ITEM "Green"
      ITEM "Blue"
      ITEM "Magenta"
      ITEM "Cyan"
      ITEM "Yellow"
      ITEM "Black"
      ONSELECT "Set_Atomic_Magnesium_Color"
      END
      WID_BASE_23 BASE 15 200 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Atomic_Magnesium_Button PUSHBUTTON -1 -1 0 0
        VALUE "Magnesium (Mg I)"
        ALIGNLEFT
        ONACTIVATE "Toggle_Atomic_Magnesium"
        END
      END
      WID_LABEL_17 LABEL 240 245 0 0
      VALUE "Color"
      ALIGNLEFT
      END
      WID_BASE_24 BASE 293 240 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Atomic_Aluminum_Label_Button PUSHBUTTON -1 -1 0 0
        VALUE "Show Names"
        ALIGNLEFT
        ONACTIVATE "Toggle_Atomic_Aluminum_Labels"
        END
      END
      Atomic_Aluminum_Color_Droplist DROPLIST 161 242 0 0
      NUMITEMS = 8
      ITEM "White"
      ITEM "Red"
      ITEM "Green"
      ITEM "Blue"
      ITEM "Magenta"
      ITEM "Cyan"
      ITEM "Yellow"
      ITEM "Black"
      ONSELECT "Set_Atomic_Aluminum_Color"
      END
      WID_BASE_25 BASE 15 239 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Atomic_Aluminum_Button PUSHBUTTON -1 -1 0 0
        VALUE "Aluminum (Al I)"
        ALIGNLEFT
        ONACTIVATE "Toggle_Atomic_Aluminum"
        END
      END
    END
    Molecular_Lines_Tab BASE 0 0 424 424
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Molecular Lines"
    BEGIN
      WID_BASE_33 BASE 16 171 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Molecular_OH_Button PUSHBUTTON -1 -1 0 0
        VALUE "Hydroxyl (OH)"
        ALIGNLEFT
        ONACTIVATE "Toggle_Molecular_OH"
        END
      END
      Molecular_OH_Color_Droplist DROPLIST 162 174 0 0
      NUMITEMS = 8
      ITEM "White"
      ITEM "Red"
      ITEM "Green"
      ITEM "Blue"
      ITEM "Magenta"
      ITEM "Cyan"
      ITEM "Yellow"
      ITEM "Black"
      ONSELECT "Set_Molecular_OH_Color"
      END
      WID_BASE_32 BASE 284 172 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Molecular_OH_Label_Button PUSHBUTTON -1 -1 0 0
        VALUE "Show Names"
        ALIGNLEFT
        ONACTIVATE "Toggle_Molecular_OH_Labels"
        END
      END
      WID_LABEL_21 LABEL 241 177 0 0
      VALUE "Color"
      ALIGNLEFT
      END
      WID_BASE_31 BASE 16 138 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Molecular_13CO_Button PUSHBUTTON -1 -1 0 0
        VALUE "13CO (13CO)"
        ALIGNLEFT
        ONACTIVATE "Toggle_Molecular_13CO"
        END
      END
      Molecular_13CO_Color_Droplist DROPLIST 162 141 0 0
      NUMITEMS = 8
      ITEM "White"
      ITEM "Red"
      ITEM "Green"
      ITEM "Blue"
      ITEM "Magenta"
      ITEM "Cyan"
      ITEM "Yellow"
      ITEM "Black"
      ONSELECT "Set_Molecular_13CO_Color"
      END
      WID_BASE_30 BASE 284 139 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Molecular_13CO_Label_Button PUSHBUTTON -1 -1 0 0
        VALUE "Show Names"
        ALIGNLEFT
        ONACTIVATE "Toggle_Molecular_13CO_Labels"
        END
      END
      WID_LABEL_20 LABEL 241 144 0 0
      VALUE "Color"
      ALIGNLEFT
      END
      WID_BASE_29 BASE 13 100 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Molecular_CO_Button PUSHBUTTON -1 -1 0 0
        VALUE "Carbon Monoxide (CO)"
        ALIGNLEFT
        ONACTIVATE "Toggle_Molecular_CO"
        END
      END
      Molecular_CO_Color_Droplist DROPLIST 159 103 0 0
      NUMITEMS = 8
      ITEM "White"
      ITEM "Red"
      ITEM "Green"
      ITEM "Blue"
      ITEM "Magenta"
      ITEM "Cyan"
      ITEM "Yellow"
      ITEM "Black"
      ONSELECT "Set_Molecular_CO_Color"
      END
      WID_BASE_28 BASE 281 101 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Molecular_CO_Label_Button PUSHBUTTON -1 -1 0 0
        VALUE "Show Names"
        ALIGNLEFT
        ONACTIVATE "Toggle_Molecular_CO_Labels"
        END
      END
      WID_LABEL_19 LABEL 238 106 0 0
      VALUE "Color"
      ALIGNLEFT
      END
      WID_BASE_27 BASE 15 61 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Molecular_Hydrogen_Button PUSHBUTTON -1 -1 0 0
        VALUE "Hydrogen (H2)"
        ALIGNLEFT
        ONACTIVATE "Toggle_Molecular_Hydrogen"
        END
      END
      Molecular_Hydrogen_Color_Droplist DROPLIST 161 64 0 0
      NUMITEMS = 8
      ITEM "White"
      ITEM "Red"
      ITEM "Green"
      ITEM "Blue"
      ITEM "Magenta"
      ITEM "Cyan"
      ITEM "Yellow"
      ITEM "Black"
      ONSELECT "Set_Molecular_Hydrogen_Color"
      END
      WID_BASE_26 BASE 283 62 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Molecular_Hydrogen_Label_Button PUSHBUTTON -1 -1 0 0
        VALUE "Show Names"
        ALIGNLEFT
        ONACTIVATE "Toggle_Molecular_Hydrogen_Labels"
        END
      END
      WID_LABEL_18 LABEL 240 67 0 0
      VALUE "Color"
      ALIGNLEFT
      END
    END
    Ionic_Lines_Tab BASE 0 0 424 424
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Ionic Lines"
    BEGIN
      WID_BASE_34 BASE 26 167 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        WID_BUTTON_36 PUSHBUTTON -1 -1 0 0
        VALUE "Spare"
        ALIGNLEFT
        GRAYED
        END
      END
      WID_DROPLIST_10 DROPLIST 172 170 0 0
      GRAYED
      NUMITEMS = 8
      ITEM "White"
      ITEM "Red"
      ITEM "Green"
      ITEM "Blue"
      ITEM "Magenta"
      ITEM "Cyan"
      ITEM "Yellow"
      ITEM "Black"
      END
      WID_BASE_35 BASE 304 168 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        WID_BUTTON_37 PUSHBUTTON -1 -1 0 0
        VALUE "Show Names"
        ALIGNLEFT
        GRAYED
        END
      END
      WID_LABEL_22 LABEL 251 173 0 0
      VALUE "Color"
      ALIGNLEFT
      GRAYED
      END
      WID_BASE_36 BASE 26 134 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Ionic_Helium_2_Button PUSHBUTTON -1 -1 0 0
        VALUE "Helium (He II)"
        ALIGNLEFT
        ONACTIVATE "Toggle_Ionic_Helium"
        END
      END
      Ionic_Helium_2_Color_Droplist DROPLIST 172 137 0 0
      NUMITEMS = 8
      ITEM "White"
      ITEM "Red"
      ITEM "Green"
      ITEM "Blue"
      ITEM "Magenta"
      ITEM "Cyan"
      ITEM "Yellow"
      ITEM "Black"
      ONSELECT "Set_Ionic_Helium_Color"
      END
      WID_BASE_37 BASE 304 135 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Ionic_Helium_2_Label_Button PUSHBUTTON -1 -1 0 0
        VALUE "Show Names"
        ALIGNLEFT
        ONACTIVATE "Toggle_Ionic_Helium_Labels"
        END
      END
      WID_LABEL_23 LABEL 251 140 0 0
      VALUE "Color"
      ALIGNLEFT
      GRAYED
      END
      WID_BASE_38 BASE 23 96 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Ionic_Nitrogen_Button PUSHBUTTON -1 -1 0 0
        VALUE "Nitrogen (N III)"
        ALIGNLEFT
        ONACTIVATE "Toggle_Ionic_Nitrogen"
        END
      END
      Ionic_Nitrogen_Color_Droplist DROPLIST 169 99 0 0
      NUMITEMS = 8
      ITEM "White"
      ITEM "Red"
      ITEM "Green"
      ITEM "Blue"
      ITEM "Magenta"
      ITEM "Cyan"
      ITEM "Yellow"
      ITEM "Black"
      ONSELECT "Set_Ionic_Nitrogen_Color"
      END
      WID_BASE_39 BASE 301 97 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Ionic_Nitrogen_Label_Button PUSHBUTTON -1 -1 0 0
        VALUE "Show Names"
        ALIGNLEFT
        ONACTIVATE "Toggle_Ionic_Nitrogen_Labels"
        END
      END
      WID_LABEL_24 LABEL 248 102 0 0
      VALUE "Color"
      ALIGNLEFT
      END
      WID_BASE_40 BASE 25 57 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Ionic_Iron_Button PUSHBUTTON -1 -1 0 0
        VALUE "Iron (Fe II)"
        ALIGNLEFT
        ONACTIVATE "Toggle_Ionic_Iron"
        END
      END
      Ionic_Iron_Color_Droplist DROPLIST 171 60 0 0
      NUMITEMS = 8
      ITEM "White"
      ITEM "Red"
      ITEM "Green"
      ITEM "Blue"
      ITEM "Magenta"
      ITEM "Cyan"
      ITEM "Yellow"
      ITEM "Black"
      ONSELECT "Set_Ionic_Iron_Color"
      END
      WID_BASE_41 BASE 303 58 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Ionic_Iron_Label_Button PUSHBUTTON -1 -1 0 0
        VALUE "Show Names"
        ALIGNLEFT
        ONACTIVATE "Toggle_Ionic_Iron_Labels"
        END
      END
      WID_LABEL_25 LABEL 250 63 0 0
      VALUE "Color"
      ALIGNLEFT
      END
    END
    Stellar_Lines_Tab BASE 0 0 424 424
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Stellar Lines"
    BEGIN
      WID_BASE_45 BASE 20 65 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Cool_Stars_Button PUSHBUTTON -1 -1 0 0
        VALUE "Configure for Cool Star Lines (see list below)"
        ALIGNLEFT
        ONACTIVATE "Cool_Stars"
        END
      END
      WID_LABEL_26 LABEL 36 120 0 0
      VALUE "Carbon Monoxide, 13CO, Si I, Fe I, Na I, Ca I, Mg I, Al I"
      ALIGNLEFT
      END
      WID_LABEL_27 LABEL 32 220 0 0
      VALUE "Hydrogen Recomb., Si I"
      ALIGNLEFT
      END
      WID_BASE_46 BASE 19 164 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Warm_Stars_Button PUSHBUTTON -1 -1 0 0
        VALUE "Configure for Warm Star Lines (see list below)"
        ALIGNLEFT
        ONACTIVATE "Warm_Stars"
        END
      END
      WID_LABEL_28 LABEL 37 322 0 0
      VALUE "Hydrogen, Helium Recomb."
      ALIGNLEFT
      END
      WID_BASE_47 BASE 23 263 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Hot_Stars_Button PUSHBUTTON -1 -1 0 0
        VALUE "Configure for Hot Star Lines (see list below)"
        ALIGNLEFT
        ONACTIVATE "Hot_Stars"
        END
      END
      WID_LABEL_29 LABEL 35 101 0 0
      VALUE "G, K, M type stars"
      ALIGNLEFT
      END
      WID_LABEL_30 LABEL 33 200 0 0
      VALUE "A, F type stars"
      ALIGNLEFT
      END
      WID_LABEL_31 LABEL 37 301 0 0
      VALUE "O, B type stars"
      ALIGNLEFT
      END
    END
    Emission_Line_Regions_Tab BASE 0 0 424 424
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Emission Line Regions"
    BEGIN
      WID_BASE_43 BASE 31 79 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Emission_Button PUSHBUTTON -1 -1 0 0
        VALUE "Configure for Emission Line Regions (see list below)"
        ALIGNLEFT
        ONACTIVATE "Emission"
        END
      END
      WID_LABEL_32 LABEL 64 124 0 0
      VALUE "HII Regions, Planetary Nebulae, Quasars/AGN"
      ALIGNLEFT
      END
      WID_LABEL_33 LABEL 65 146 0 0
      VALUE "Hydrogen, Helium Recomb.; Fe II, NIII"
      ALIGNLEFT
      END
      WID_LABEL_46 LABEL 67 256 0 0
      VALUE "Molecular Hydrogen - Star Forming Regions"
      ALIGNLEFT
      END
      WID_BASE_48 BASE 34 211 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Shocks_Button PUSHBUTTON -1 -1 0 0
        VALUE "Configure for Shock Regions (see list below)"
        ALIGNLEFT
        ONACTIVATE "Shocks"
        END
      END
    END
    Redshift_Determination_Tab BASE 0 0 424 424
    GRAYED
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Redshift Determination"
    BEGIN
      WID_LABEL_36 LABEL 24 33 0 0
      VALUE "1. Mark/Indicate a Line in the Spectrum"
      ALIGNLEFT
      GRAYED
      END
      WID_BUTTON_52 PUSHBUTTON 77 58 0 0
      VALUE "Select Line"
      ALIGNCENTER
      GRAYED
      END
      WID_LABEL_37 LABEL 42 90 0 0
      VALUE "Put Cursor on Line Peak and Press Mouse Button"
      ALIGNLEFT
      GRAYED
      END
      WID_LABEL_38 LABEL 26 137 0 0
      VALUE "2. Identify which line was selected"
      ALIGNLEFT
      GRAYED
      END
      WID_DROPLIST_14 DROPLIST 48 171 0 0
      GRAYED
      NUMITEMS = 3
      ITEM "H Br-Gamma 2.166um"
      ITEM "H Pa-Alpha  1.875um"
      ITEM "H Pa-Beta    1.282um"
      END
      WID_LABEL_39 LABEL 211 172 0 0
      VALUE "Select the Line Identification"
      ALIGNLEFT
      GRAYED
      END
      WID_LABEL_40 LABEL 24 227 0 0
      VALUE "3. Compute Redshift"
      ALIGNLEFT
      GRAYED
      END
      WID_BUTTON_53 PUSHBUTTON 52 256 0 0
      VALUE "Fit Line; Determine Redshift"
      ALIGNCENTER
      GRAYED
      END
      WID_TEXT_1 TEXT 70 301 0 0
      GRAYED
      WIDTH = 20
      HEIGHT = 1
      END
      WID_LABEL_41 LABEL 213 306 0 0
      VALUE "Redshift"
      ALIGNLEFT
      GRAYED
      END
    END
  END
  Exit_Botton PUSHBUTTON 976 494 49 29
  VALUE "EXIT"
  ALIGNCENTER
  ONACTIVATE "Exit_Asserted"
  END
  Save_Postscript_Button PUSHBUTTON 692 494 0 0
  VALUE "Save to Postscript File"
  ALIGNCENTER
  ONACTIVATE "Save_Postscript"
  END
  Save_JPEG_File PUSHBUTTON 835 494 0 0
  VALUE "Save as JPEG File"
  ALIGNCENTER
  GRAYED
  ONACTIVATE "Save_JPEG"
  END
END
